<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
	<meta name='viewport' content='width=device-width, initial-scale=1'>
	<link href='img/favicon.ico' rel='icon'>
	<link rel='stylesheet' type='text/css' href='css/bulma.css'>
	<link rel='stylesheet' href='https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css' integrity='sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO' crossorigin='anonymous'>
	<link href='https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/css/bootstrap.min.css' rel='stylesheet' integrity='sha384-Zenh87qX5JnK2Jl0vWa8Ck2rdkQ2Bzep5IDxbcnCeuOxjzrPF/et3URy9Bv1WTRi' crossorigin='anonymous'>
    <script src='https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js' integrity='sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3' crossorigin='anonymous'></script>
    
    <style>
        
        td{
            width:200px;
            height:30px;
        }
        
        a{
            width:50px;
            height:25px;
            margin-left:15px;
        }
        
    </style>

</head>
<body>

<?php
include('conexao.php');
include ('logout_tempo.php');

echo " <br> <h1>&#160;Dados referente a pesquisa: </h1> <br> ";

echo "<a class='notification is-danger nav-item nav-link' href='relatorio.php'>&#160;Voltar&#160;</a>";

//////////////////////////////////// Modelo ////////////////////////////////////

    $pesquisar = trim($_POST['pesquisar']);
    
    $result_reboque = "SELECT * FROM reboque WHERE modelo LIKE '%$pesquisar%' ORDER BY id_reboque ASC";
    $resultado_reboque = mysqli_query($conexao, $result_reboque);
    
    $result_retirado = "SELECT * FROM retirado";
    $resultado_retirado = mysqli_query($conexao, $result_retirado);

    while($rows_reboque = mysqli_fetch_array($resultado_reboque)){
    
        while($rows_retirado = mysqli_fetch_array($resultado_retirado)){
    
            if($rows_reboque['id_reboque'] == $rows_retirado['id_reboque']){
            
                $id = $rows_reboque['id_reboque'];
            
                echo "<table class='table table-responsive-sm table-bordered' style='margin-top:10px; margin-left:auto; margin-right:auto; width: auto; background-color: #fffffb;'>";
                echo "<thead><tr><th>Modelo</th><th>Placa</th><th>data</th><th>devolução</th><th>usuário</th><th>situação</th></tr></thead>";
                echo "<tbody><tr width='1000'><td>".$rows_reboque['modelo']."&#160;</td><td>".$rows_reboque['placa']."&#160;</td><td>".$rows_retirado['data']."&#160;</td><td>".$rows_retirado['devolucao']."&#160;</td><td>".$rows_retirado['usuario']."&#160;</td><td>".$rows_retirado['situacao']."</td>
                
                 <td><form method='post' action='editar_registro_reb.php'> 
                <input type='hidden' name='registro' id= ". $id ." value= ". $id ." >
                <input id='caixa' type='submit' class='btn-dark' value='Editar'>
                </form></td></tr></tbody>";
                echo "</table>";
            
            }    
            
        }
       
    }
    
//////////////////////////////////// Placa /////////////////////////////////////

    $pesquisar = trim($_POST['pesquisar']);
    
    $result_reboque = "SELECT * FROM reboque WHERE placa LIKE '%$pesquisar%' ORDER BY id_reboque ASC";
    
    $resultado_reboque = mysqli_query($conexao, $result_reboque);
    
    $result_retirado = "SELECT * FROM retirado";
    
    $resultado_retirado = mysqli_query($conexao, $result_retirado);
    
    while($rows_reboque = mysqli_fetch_array($resultado_reboque)){
    
        while($rows_retirado = mysqli_fetch_array($resultado_retirado)){
    
            if($rows_reboque['id_reboque'] == $rows_retirado['id_reboque']){
                
                $id = $rows_reboque['id_reboque'];
                
                echo "<table class='table table-responsive-sm table-bordered' style='margin-top:10px; margin-left:auto; margin-right:auto; width: auto; background-color: #fffffb;'>";
                echo "<thead><tr><th>Modelo</th><th>Placa</th><th>data</th><th>devolução</th><th>usuário</th><th>situação</th><th>editar</th></tr></thead>";
                echo "<tbody><tr width='1000'><td>".$rows_reboque['modelo']."&#160;</td><td>".$rows_reboque['placa']."&#160;</td><td>".$rows_retirado['data']."&#160;</td><td>".$rows_retirado['devolucao']."&#160;</td><td>".$rows_retirado['usuario']."&#160;</td><td>".$rows_retirado['situacao']."</td>
                
                 <td><form method='post' action='editar_registro_reb.php'> 
                <input type='hidden' name='registro' id= ". $id ." value= ". $id ." >
                <input id='caixa' type='submit' class='btn-dark' value='Editar'>
                </form></td></tr></tbody>";
                echo "</table>";
            
            }    
            
        }
       
    }
 
/////////////////////////////////// Data-R /////////////////////////////////////
    
    $pesquisar = trim($_POST['pesquisar']);
    
    $result_retirado = "SELECT * FROM retirado WHERE data LIKE '%$pesquisar%' ORDER BY id_reboque ASC";
    
    $resultado_retirado = mysqli_query($conexao, $result_retirado);
    
    $result_reboque = "SELECT * FROM reboque";
    
    $resultado_reboque = mysqli_query($conexao, $result_reboque);
    
    while($rows_retirado = mysqli_fetch_array($resultado_retirado)){
    
        while($rows_reboque = mysqli_fetch_array($resultado_reboque)){
    
            if($rows_reboque['id_reboque'] == $rows_retirado['id_reboque']){
                
                $id = $rows_reboque['id_reboque'];
                
                echo "<table class='table table-responsive-sm table-bordered' style='margin-top:10px; margin-left:auto; margin-right:auto; width: auto; background-color: #fffffb;'>";
                echo "<thead><tr><th>Modelo</th><th>Placa</th><th>data</th><th>devolução</th><th>usuário</th><th>situação</th><th>editar</th></tr></thead>";
                echo "<tbody><tr width='1000'><td>".$rows_reboque['modelo']."&#160;</td><td>".$rows_reboque['placa']."&#160;</td><td>".$rows_retirado['data']."&#160;</td><td>".$rows_retirado['devolucao']."&#160;</td><td>".$rows_retirado['usuario']."&#160;</td><td>".$rows_retirado['situacao']."</td>
                
                 <td><form method='post' action='editar_registro_reb.php'> 
                <input type='hidden' name='registro' id= ". $id ." value= ". $id ." >
                <input id='caixa' type='submit' class='btn-dark' value='Editar'>
                </form></td></tr></tbody>";
                echo "</table>";
            
            }    
            
        }
       
    }
   
/////////////////////////////////// Data-D /////////////////////////////////////

    $pesquisar = trim($_POST['pesquisar']);
    
    $result_retirado = "SELECT * FROM retirado WHERE devolucao LIKE '%$pesquisar%' ORDER BY id_reboque ASC";
    
    $resultado_retirado = mysqli_query($conexao, $result_retirado);
    
    $result_reboque = "SELECT * FROM reboque";
    
    $resultado_reboque = mysqli_query($conexao, $result_reboque);
    
    while($rows_retirado = mysqli_fetch_array($resultado_retirado)){
    
        while($rows_reboque = mysqli_fetch_array($resultado_reboque)){
    
            if($rows_reboque['id_reboque'] == $rows_retirado['id_reboque']){
                
                $id = $rows_reboque['id_reboque'];
                    
                echo "<table class='table table-responsive-sm table-bordered' style='margin-top:10px; margin-left:auto; margin-right:auto; width: auto; background-color: #fffffb;'>";
                echo "<thead><tr><th>Modelo</th><th>Placa</th><th>data</th><th>devolução</th><th>usuário</th><th>situação</th><th>editar</th></tr></thead>";
                echo "<tbody><tr width='1000'><td>".$rows_reboque['modelo']."&#160;</td><td>".$rows_reboque['placa']."&#160;</td><td>".$rows_retirado['data']."&#160;</td><td>".$rows_retirado['devolucao']."&#160;</td><td>".$rows_retirado['usuario']."&#160;</td><td>".$rows_retirado['situacao']."</td>
                
                 <td><form method='post' action='editar_registro_reb.php'> 
                <input type='hidden' name='registro' id= ". $id ." value= ". $id ." >
                <input id='caixa' type='submit' class='btn-dark' value='Editar'>
                </form></td></tr></tbody>";
                echo "</table>";
                
            }
            
        }
       
    }
    
////////////////////////////////////////////////////////////////////////////////

    $pesquisar = trim($_POST['pesquisar']);
    
    $result_retirado = "SELECT * FROM retirado WHERE usuario LIKE '%$pesquisar%' ORDER BY id_reboque ASC";
    
    $resultado_retirado = mysqli_query($conexao, $result_retirado);
    
    while($rows_retirado = mysqli_fetch_array($resultado_retirado)){
        
        $id = $rows_retirado['id_reboque'];
        
        $result_reboque = "SELECT modelo, placa FROM reboque WHERE id_reboque = {$id}";
        $resultado_reboque = mysqli_query($conexao, $result_reboque);
    
        while($rows_reboque = mysqli_fetch_array($resultado_reboque)){
            
            $id = $rows_reboque['id_reboque'];
            
            echo "<table class='table table-responsive-sm table-bordered' style='margin-top:10px; margin-left:auto; margin-right:auto; width: auto; background-color: #fffffb;'>";
                    echo "<thead><tr><th>Modelo</th><th>Placa</th><th>data</th><th>devolução</th><th>usuário</th><th>situação</th><th>editar</th></tr></thead>";
                    echo "<tbody><tr width='1000'><td>".$rows_reboque['modelo']."&#160;</td><td>".$rows_reboque['placa']."&#160;</td><td>".$rows_retirado['data']."&#160;</td><td>".$rows_retirado['devolucao']."&#160;</td><td>".$rows_retirado['usuario']."&#160;</td><td>".$rows_retirado['situacao']."</td>
                    
                     <td><form method='post' action='editar_registro_reb.php'> 
                <input type='hidden' name='registro' id= ". $id ." value= ". $id ." >
                <input id='caixa' type='submit' class='btn-dark' value='Editar'>
                </form></td></tr></tbody>";
                    echo "</table>";
                
        }
        
    }
    
////////////////////////////////////////////////////////////////////////////////
    
    $pesquisar = trim($_POST['pesquisar']);
    
    $result_retirado = "SELECT * FROM retirado WHERE situacao LIKE '%$pesquisar%' ORDER BY id_reboque ASC";
    
    $resultado_retirado = mysqli_query($conexao, $result_retirado);
    
    while($rows_retirado = mysqli_fetch_array($resultado_retirado)){
        
        $id = $rows_retirado['id_reboque'];
        
        $result_reboque = "SELECT modelo, placa FROM reboque WHERE id_reboque = {$id}";
        $resultado_reboque = mysqli_query($conexao, $result_reboque);
    
        while($rows_reboque = mysqli_fetch_array($resultado_reboque)){
            
            $id = $rows_reboque['id_reboque'];
            
            echo "<table class='table table-responsive-sm table-bordered' style='margin-top:10px; margin-left:auto; margin-right:auto; width: auto; background-color: #fffffb;'>";
                    echo "<thead><tr><th>Modelo</th><th>Placa</th><th>data</th><th>devolução</th><th>usuário</th><th>situação</th><th>editar</th></tr></thead>";
                    echo "<tbody><tr width='1000'><td>".$rows_reboque['modelo']."&#160;</td><td>".$rows_reboque['placa']."&#160;</td><td>".$rows_retirado['data']."&#160;</td><td>".$rows_retirado['devolucao']."&#160;</td><td>".$rows_retirado['usuario']."&#160;</td><td>".$rows_retirado['situacao']."</td>
                    
                     <td><form method='post' action='editar_registro_reb.php'> 
                <input type='hidden' name='registro' id= ". $id ." value= ". $id ." >
                <input id='caixa' type='submit' class='btn-dark' value='Editar'>
                </form></td></tr></tbody>";
                    echo "</table>";
        
        }
        
    }
    
?>

</body>
</html>