<?php

include_once 'config.php';

class functions extends config{
	var $pdo;

	function __construct(){
	  $this->pdo = new PDO('mysql:host='.$this->host.';dbname='.$this->db, $this->usuario, $this->senha); 
	}
	 
	function login($email, $senha){
    	$stmt = $this->pdo->prepare("SELECT * FROM usuarios WHERE email = :email AND senha = :senha");
	    $stmt->bindValue(":email",$email);
	    $stmt->bindValue(":senha",md5($senha));
	    $run = $stmt->execute();
	    $rs = $stmt->fetchAll(PDO::FETCH_ASSOC);
	    return $rs;
	}
	 
	function geraChaveAcesso($email){
	    $stmt = $this->pdo->prepare("SELECT * FROM usuarios WHERE email = :email");
	    $stmt->bindValue(":email",$email);
	    $run = $stmt->execute();
	 
	    $rs = $stmt->fetch(PDO::FETCH_ASSOC);
	   
	    if($rs){
	    	$chave = md5($rs["id_usuario"].$rs["senha"]);
	        return $chave;
	    }
	 
	 }
	 
	 
	function checkChave($email,$chave){
	    $stmt = $this->pdo->prepare("SELECT * FROM usuarios WHERE email = :email");
	    $stmt->bindValue(":email",$email);
	    $run = $stmt->execute();
	 
	    $rs = $stmt->fetch(PDO::FETCH_ASSOC);
	 
	    if($rs){
	     	$chaveCorreta = md5($rs["id_usuario"].$rs["senha"]);
	     	if($chave == $chaveCorreta){
	        	return $rs["id_usuario"];
	     	}
	    }
	 }
	 
	function setNovaSenha($novasenha,$id_usuario){
	    $stmt = $this->pdo->prepare("UPDATE usuarios SET senha = :novasenha WHERE id_usuario = :id_usuario");
	    $stmt->bindValue(":novasenha",md5($novasenha));
	   	$stmt->bindValue(":id_usuario",$id_usuario);
	    $run = $stmt->execute();
	 }

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

    function dataNova($dataNova,$id_usuario){
	    $stmt = $this->pdo->prepare("UPDATE usuarios SET data = :dataNova WHERE id_usuario = :id_usuario");
	    $stmt->bindValue(":dataNova",$dataNova);
	   	$stmt->bindValue(":id_usuario",$id_usuario);
	    $run = $stmt->execute();
	 } 
	 
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////	 
	 
}

	/*function enviar_email($email, $conn, $chave){
		$to = "barbosathalison097@gmail.com";
		$subject = "test";
		$message = "<a href= 'alterar_senha.php?chave='.$chave.''>alterar_senha.php?chave='.$chave.'</a>";
		$headers = "teste";
		if(mail($to, $subject, $message, $headers))
			echo "prestou";
		else
			echo "F";
	}*/

?>